---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: failed-pod-cleanup
  namespace: default
spec:
  interval: 5m
  chart:
    spec:
      chart: failed-pod-cleanup
      version: 0.1.5
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
  install:
    remediation:
      retries: 1
  upgrade:
    remediation:
      retries: 1
  values:
    cleanup:
      schedule:
        _default: "0 0 * * *"
